Bug 644885 - Migration of Jira security restrictions should be maintained
Migration of Jira security restrictions should be maintained
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All All
low Severity urgent (vote)
: ---
: ---
Assigned To: Simon Green
Jiri Pechanec
:
Depends On:
Blocks: JIRABZ
  Show dependency treegraph
 
Reported: 2010-10-20 10:46 EDT by Mike Clark
Modified: 2014-10-12 18:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 23:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Clark 2010-10-20 10:46:01 EDT
During the migration from Jira to BZ, private jiras (e.g., "JBoss Internal") should be private "Red Hat Employee".

In current test instance see bug 633137 [1] and bug 635309 [2] as examples where a "JBoss Internal" jira was made "public"

[1] https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=635137
[2] https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=635309
Comment 1 Simon Green 2011-04-03 21:16:17 EDT
Hi Mike,

Can you please give me an example of a JIRA issue (that is going to be migrated) that has this flag set. Unfortunately the bug numbers above will no longer be valid.

  -- simon
Comment 3 Mike Harvey 2011-04-11 08:42:02 EDT
Hi Simon,

Here's one example:

https://issues.jboss.org/browse/JBPAPP-5657
Security Level:: JBoss Internal (Only JBoss employees and contractors) 

Unfortunately, I could not figure out how to query Jira on the "Security Level" field.  There's probably a way...I just was unable to figure it out.
Comment 9 Mike Harvey 2011-05-04 09:14:43 EDT
The decision was made to just set the permission to "internal" for all Jira's on the list that Simon generated that will be migrated to bz.  Note:  Many of the Jira's on the list were "project" jiras, not "product" jiras.
Comment 12 Noura El hawary 2011-06-16 07:51:06 EDT
Hi Simon,

Do you still need me to review this patch? I see it was already pushed in the bugzilla Jira release, not sure why is it still ON_QA?

Thanks,
Noura
Comment 13 Jiri Pechanec 2011-06-23 02:39:33 EDT
Currently verified on one private issue.

I have requested sample of Jiras to cover all security levels so I'll continue with the verification on Monday.
Comment 14 Simon Green 2011-06-27 02:41:06 EDT
(In reply to comment #12)
> Hi Simon,
> 
> Do you still need me to review this patch?

Yes please.

> I see it was already pushed in the
> bugzilla Jira release, not sure why is it still ON_QA?

While the code is live, since it is an import issue it requires that the JBoss team verify that the change works as expected.

  -- simon
Comment 15 Jiri Pechanec 2011-06-27 08:13:27 EDT
Expected private issues - 10030, 10052, 10074, 10085, 10010, 10040, 10050, 10051, 10054,  10086

PASSED
10053 JBNADM-3674 - public
10010 JBPAPP-4267 - private
10020 JBPAPP-4515 - public
10030 JBPAPP-4505 - private
10040 JBPAPP-4484 - private
10081 JBEPP-388 - public
10085 JBEPP-359 - private
10086 JBEPP-385 - private

FAILED
10050 JBNADM-622 - public
10052 JBNADM-3687 - public
10054 JBNADM-3338 - public

Cannot verify due to non-supported or non-existing cases
10071 CDITCK-168
10074 WBTCK-39
10051 No issue exists
Comment 18 Jiri Pechanec 2011-06-28 01:49:12 EDT
Expected private issues - 10030, 10052, 10074, 10085, 10010, 10040, 10050,
10051, 10054,  10086

PASSED
10053 JBNADM-3674 - public
10010 JBPAPP-4267 - private
10020 JBPAPP-4515 - public
10030 JBPAPP-4505 - private
10040 JBPAPP-4484 - private
10081 JBEPP-388 - public
10085 JBEPP-359 - private
10086 JBEPP-385 - private
10050 JBNADM-622 - private
10052 JBNADM-3687 - private
10054 JBNADM-3338 - private

Cannot verify due to non-supported or non-existing cases
10071 CDITCK-168
10074 WBTCK-39
10051 No issue exists

Private comments - FAILED
See SOA-2160 - it contains comments with restricted visibility but the setting is not migrated to Bugzilla
Comment 25 Simon Green 2011-07-08 08:18:42 EDT
Marking as ON_QA for testing.
Comment 26 Simon Green 2012-05-10 23:37:02 EDT
This change went live some time last year.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.